Catalog Launch ############## This service is used to retrieve an access token for launching the GroupLink catalog. .. code-block:: none :caption: Service Endpoint POST https://gateway.groupvan.com/auth/get_catalog_token Request ------- The following parameters can be used to configure the catalog launch process. For a standard launch, use ``vehicle_lookup`` option ``NONE``. This will direct the user to the vehicle selection page of the catalog. VIN and Vehicle Configuration launch modes are also available. Parameters ~~~~~~~~~~ ``account_id`` :bdg:`string` :bdg-danger:`required` ID of the installer account in the member system ``vehicle_lookup`` :bdg:`Enum String` :bdg-danger:`required` Type of vehicle lookup to use. Options are ``NONE``, ``VIN``, or ``CONFIG``. Must be fully uppercased. ``cart_id`` :bdg:`UUID4` :bdg-danger:`required` A **unique** cart ID for the punch out. Reusing a cart ID will return old cart items. ``location_id`` :bdg:`string` :bdg-danger:`required` Member location ID of the location to punch out to ``vin`` :bdg:`string` :bdg-warning:`optionally required` VIN of the current vehicle. Required when ``vehicle_lookup`` is ``VIN``. ``year_id`` :bdg:`string` :bdg-warning:`optionally required` Year of the current vehicle. Required when ``vehicle_lookup`` is ``CONFIG``. ``make_id`` :bdg:`string` :bdg-warning:`optionally required` Make ID of the current vehicle. Required when ``vehicle_lookup`` is ``CONFIG``. ``model_id`` :bdg:`string` :bdg-warning:`optionally required` Model ID of the current vehicle. Required when ``vehicle_lookup`` is ``CONFIG``. ``engine_id`` :bdg:`string` :bdg-warning:`optionally required` Engine ID of the current vehicle. Required when ``vehicle_lookup`` is ``CONFIG``. Use ``engine_config_id`` from Vehicle Search Service. ``config_id`` :bdg:`string` :bdg-warning:`optionally required` Configuration ID of the current vehicle. Required when ``vehicle_lookup`` is ``CONFIG``. Use ``engine_key_id`` from Vehicle Search Service. ``base_vehicle_id`` :bdg:`string` :bdg-warning:`optionally required` Base vehicle ID of the current vehicle. Required when ``vehicle_lookup`` is ``CONFIG``. ``vehicle_to_engine_config_id`` :bdg:`string` :bdg-warning:`optionally required` Vehicle to engine configuration ID of the current vehicle. Required when ``vehicle_lookup`` is ``CONFIG``. ``vehicle_type_group_id`` :bdg:`string` :bdg-warning:`optionally required` Vehicle type group of current vehicle. Required when ``vehicle_lookup`` is ``CONFIG``. Examples ~~~~~~~~ .. tab:: Standard Launch (No Vehicle) .. code-block:: json { "account_id": "123ABC", "vehicle_lookup": "NONE", "cart_id": "fdb7fd99-faf2-45ee-a9ab-176f80569847", "location_id": "STORE1" } .. tab:: Launch with VIN .. code-block:: json { "account_id": "123ABC", "vehicle_lookup": "VIN", "cart_id": "fdb7fd99-faf2-45ee-a9ab-176f80569847", "location_id": "STORE1", "vin": "1FMSU43F12EC93431" } .. tab:: Launch with Vehicle Config .. code-block:: json { "account_id": "123ABC", "vehicle_lookup": "CONFIG", "cart_id": "fdb7fd99-faf2-45ee-a9ab-176f80569847", "location_id": "STORE1", "year_id": "2019", "make_id": "59", "model_id": "752", "engine_id": "22695", "config_id": "147932_2118_22695", "base_vehicle_id": "147932", "vehicle_to_engine_config_id": "511138", "vehicle_type_group_id": "200" } Response -------- This service will return an encoded access token with your launch configuration. Example ~~~~~~~ .. code-block:: json { "access_token": "eyJhbGciOi ... yu_HTBaXvDw" } Launch ~~~~~~ You can now attach this access token to the launch URL as a query parameter. ``https://federatedlink.com/LP/GroupVANLogin.aspx?access_token=`` This URL is now ready to launch the catalog in any modern web browser tab or iframe.